Subject: ftpwho not working for Digital Unix 4.0d

From: Geoff Baysinger <[email-masked]>
Date: Mon, 27 Apr 1998 11:13:47 -0500

I'm running 2.4.2-b16 on Digital Unix 4.0d with C2 security.

I' have ftpwho and ftpcount working in as much as they will tally the
number of current users, but I can't get ftpwho to show any information
beyond this:

Service class all:
 18251 ??       S        0:00.11 ftpd:
 18234 ??       I        0:00.20 ftpd:
 18235 ??       I        0:00.11 ftpd:
   -   3 users (200 maximum)

I know ftpwho uses the pid information (ala ps), and I've gone in and
defined "HAVE_SETPROCTITLE" hoping it would fix it, but it doesn't. Is
there anything else I need to do to get it to work or is this known to be
broken for my platform?

Not an emergency, I would just like to get full functionality and this is
the last step.

/Geoff